## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname Valeronoi

Name:           valeronoi
Version:        0.2.1
Release:        %autorelease
Summary:        WiFi mapping companion app for Valetudo

License:        GPL-3.0-or-later
URL:            https://github.com/ccoors/Valeronoi
Source:         %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Source:         %{name}.metainfo.xml

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  libappstream-glib

BuildRequires:  catch2-devel
BuildRequires:  CGAL-devel
BuildRequires:  openssl-devel
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-qtsvg-devel

Requires:       hicolor-icon-theme

%description
Valeronoi (Valetudo + Voronoi) is a companion for Valetudo for generating WiFi
signal strength maps. It visualizes them using a Voronoi diagram.

%prep
%autosetup -n %{srcname}-%{version} -p1

# Replace bundled copy of catch with the system one
ln -sf %{_includedir}/catch2/catch.hpp 3rdparty/

%build
%cmake
%cmake_build

%install
%cmake_install

# Install AppData files
install -Dpm0644 -t %{buildroot}%{_metainfodir} %SOURCE1

# Remove unnecessary license duplicate
rm %{buildroot}%{_datadir}/licenses/valeronoi/LICENSE/COPYING

%check
./%{_vpath_builddir}/valeronoi-tests
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet \
  %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/icons/hicolor/144x144
%dir %{_datadir}/icons/hicolor/144x144/apps
%dir %{_datadir}/icons/hicolor/180x180
%dir %{_datadir}/icons/hicolor/180x180/apps
%dir %{_datadir}/icons/hicolor/1024x1024
%dir %{_datadir}/icons/hicolor/1024x1024/apps
%{_datadir}/icons/hicolor/*/apps/%{name}.{png,svg}
%{_metainfodir}/%{name}.metainfo.xml

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 06 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.1-1
- Initial import; Fixes: RHBZ#2255995
## END: Generated by rpmautospec
